---
title: "PUT Update A Memory"
description: "Update an existing memory with new content. Args: memory_id (str): ID of the memory to update updated_memory (str): New content to update the memory with Returns: dict: Success message indicating t..."
last_updated: "2026-05-07T04:47:26.269308+00:00"
canonical_url: "https://www.doc0.dev/docs/faa36707-7c28-4f69-a18f-700ff61c704e/api/endpoints/update-memory-memories-memory-id-put"
---

<APIEndpoint
  method={"PUT"}
  path={"/memories/{memory_id}"}
  summary={"Update A Memory"}
  description={"Update an existing memory with new content. Args: memory_id (str): ID of the memory to update updated_memory (str): New content to update the memory with Returns: dict: Success message indicating the memory was updated"}
  deprecated={false}
  baseUrl={""}
/>

## Parameters

<APIParameters parameters={[{"name":"memory_id","in":"path","required":true,"description":"Memory Id","schema":{"type":"string"}}]} />

## Request Body

The updated memory content.

<APIRequestBody
  contentType={"application/json"}
  required={true}
  schema={{"type":"object","properties":{}}}
/>

## Responses

<APIResponse
  statusCode={"200"}
  description={"Successful Response"}
  contentType={"application/json"}
  schema={{"type":"object","properties":{}}}
/>

<APIResponse
  statusCode={"500"}
  description={"Internal Server Error"}
  contentType={"application/json"}
  schema={{"type":"object","properties":{}}}
/>

## Try It

<APIPlayground
  method={"PUT"}
  path={"/memories/{memory_id}"}
  parameters={[{"name":"memory_id","in":"path","required":true,"description":"Memory Id","schema":{"type":"string"}}]}
  requestBody={{"contentType":"application/json","required":true,"description":"The updated memory content.","schema":{"type":"object","properties":{}}}}
  baseUrl={""}
/>


## Sitemap

See the full [sitemap](https://www.doc0.dev/docs/faa36707-7c28-4f69-a18f-700ff61c704e/llms.txt) for all pages in this wiki.
